Bug 41856 - mtrr (write-combining) messages on Athlon 1300
mtrr (write-combining) messages on Athlon 1300
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
7.1
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Arjan van de Ven
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-05-22 12:31 EDT by Jeremy Sanders
Modified: 2007-04-18 12:33 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-05-23 08:13:41 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jeremy Sanders 2001-05-22 12:31:23 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux 2.4.2-2 i686; en-US; rv:0.8.1+)
Gecko/20010430

Description of problem:
I'm getting lots of messages in dmesg about the mtrr register:

eg...

mtrr: type mismatch for d4000000,2000000 old: write-back new: write-combining
mtrr: type mismatch for d4000000,1000000 old: write-back new: write-combining
mtrr: type mismatch for d4000000,1000000 old: write-back new: write-combining
mtrr: type mismatch for d4000000,2000000 old: write-back new: write-combining
mtrr: type mismatch for d4000000,1000000 old: write-back new: write-combining
mtrr: type mismatch for d4000000,1000000 old: write-back new: write-combining

(I'm not sure whether this is having a dangerous impact on the machine, but
it hasn't crashed yet... The onboard sound is broken, which I'm going to
report as another bug)


How reproducible:
Always

Steps to Reproduce:
1.


Additional info:


cat /proc/mtrr:
reg00: base=0x00000000 ( 0MB), size=16712192MB: write-back, count=1
reg05: base=0xd0000000 (3328MB), size=16711744MB: write-combining, count=1

The system is an Athlon 1300.
cat /proc/cpuinfoprocessor : 0
vendor_id : AuthenticAMD
cpu family : 6
model : 4
model name : AMD Athlon(tm) Processor
stepping : 2
cpu MHz : 1299.414
cache size : 256 KB
fdiv_bug : no
hlt_bug : no
f00f_bug : no
coma_bug : no
fpu : yes
fpu_exception : yes
cpuid level : 1
wp : yes
flags : fpu vme de pse tsc msr pae mce cx8 sep mtrr pge mca cmov pat pse36
mmx fxsr syscall mmxext 3dnowext 3dnow
bogomips : 2588.67

xpc1:~> cat /proc/pci
PCI devices found:
Bus 0, device 0, function 0:
Host bridge: VIA Technologies, Inc. VT8363/8365 [KT133/KM133] (rev 3).
Prefetchable 32 bit memory at 0xd0000000 [0xd3ffffff].
Bus 0, device 1, function 0:
PCI bridge: VIA Technologies, Inc. VT8363/8365 [KT133/KM133 AGP] (rev 0).
Master Capable. No bursts. Min Gnt=12.
Bus 0, device 7, function 0:
ISA bridge: VIA Technologies, Inc. VT82C686 [Apollo Super South] (rev 64).
Bus 0, device 7, function 1:
IDE interface: VIA Technologies, Inc. Bus Master IDE (rev 6).
Master Capable. Latency=32.
I/O at 0xd000 [0xd00f].
Bus 0, device 7, function 2:
USB Controller: VIA Technologies, Inc. UHCI USB (rev 22).
IRQ 5.
Master Capable. Latency=32.
I/O at 0xd400 [0xd41f].
Bus 0, device 7, function 3:
USB Controller: VIA Technologies, Inc. UHCI USB (#2) (rev 22).
IRQ 5.
Master Capable. Latency=32.
I/O at 0xd800 [0xd81f].
Bus 0, device 7, function 4:
Host bridge: VIA Technologies, Inc. VT82C686 [Apollo Super ACPI] (rev 64).
IRQ 9.
Bus 0, device 7, function 5:
Multimedia audio controller: VIA Technologies, Inc. AC97 Audio Controller
(rev 80).
IRQ 11.
I/O at 0xdc00 [0xdcff].
I/O at 0xe000 [0xe003].
I/O at 0xe400 [0xe403].
Bus 0, device 12, function 0:
Ethernet controller: Intel Corporation 82557 [Ethernet Pro 100] (rev 12).
IRQ 10.
Master Capable. Latency=32. Min Gnt=8.Max Lat=56.
Non-prefetchable 32 bit memory at 0xda020000 [0xda020fff].
I/O at 0xec00 [0xec3f].
Non-prefetchable 32 bit memory at 0xda000000 [0xda01ffff].
Bus 1, device 0, function 0:
VGA compatible controller: Matrox Graphics, Inc. MGA G400 AGP (rev 130).
IRQ 5.
Master Capable. Latency=32. Min Gnt=16.Max Lat=32.
Prefetchable 32 bit memory at 0xd4000000 [0xd5ffffff].
Non-prefetchable 32 bit memory at 0xd6000000 [0xd6003fff].
Non-prefetchable 32 bit memory at 0xd7000000 [0xd77fffff].
Comment 1 Arjan van de Ven 2001-05-22 13:49:12 EDT
This usually means the bios and Linux disagree on what the settings should be...
 harmless as Linux wins
Comment 2 Jeremy Sanders 2001-05-23 08:13:36 EDT
Interestingly these messages go away in the latest rawhide kernel
kernel-2.4.3-5.athlon.rpm.

Also /proc/mtrr now reads:

xpc1:~> cat /proc/mtrr
reg00: base=0x00000000 (   0MB), size= 512MB: write-back, count=1
reg01: base=0xd4000000 (3392MB), size=  16MB: write-combining, count=1
reg05: base=0xd0000000 (3328MB), size=  64MB: write-combining, count=1

Comment 3 Alexander Stohr 2001-05-31 21:33:54 EDT
This was an initialisation problem in the mtrr coding.
For current Athlon CPUs it was pretty likely that the
and/or mask values didnt get initialized and therfore
gigantic size values got composed from CPU registers.

The bug is fixed in official Linux Kernel 2.4.4 and later.

Note You need to log in before you can comment on or make changes to this bug.